Package twisted :: Package coil :: Package plugins :: Module web :: Class MimeTypeCollection

[show private | hide private]
[frames | no frames]

## Class MimeTypeCollection

    Collection --+
                 |
       Constrained --+
                     |
      ConfigCollection --+
                         |
                        MimeTypeCollection

Method Summary
| ``__init__`(self, entities)` Initialize me. (inherited from `Collection`)
| ``delEntity`(self, name)` Remove a static reference for 'name'. (inherited from `Collection`)
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `ConfigCollection`)
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Collection`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| `getEntityType(self)` (inherited from `ConfigCollection`)
| `getNameType(self)` (inherited from `ConfigCollection`)
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity. (inherited from `Collection`)
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Collection`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``listEntities`(self, request)` Retrieve a list of all name, entity pairs I contain. (inherited from `Collection`)
| ``listNames`(self, request)` Retrieve a list of all names for entities that I contain. (inherited from `Collection`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to. (inherited from `Collection`)
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name. (inherited from `Constrained`)
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| `reallyPutEntity(self, name, entity)` (inherited from `Constrained`)
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)

Class Variable Summary
`type` | `str`

Class Variable Details

### str

`str` = `__builtin__.str`

Generated by Epydoc 1.1 on Thu May 8 13:18:18 2003 | http://epydoc.sf.net